/* KEYFRAMES /////////////////////////////////////////////////////// */
@keyframes float {
    0% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(-20px);
    }

    100% {
        transform: translateY(0);
    }
}

@keyframes rotate {
    0% {
        transform: rotate(-1deg);
    }

    50% {
        transform: rotate(1deg);
    }

    100% {
        transform: rotate(-1deg);
    }
}


/* Fonts /////////////////////////////////////////////////////////// */
/** {
    font-size: 20px;
}*/

.mc-font {
    font-family: "Minecraft", monospace;
    text-shadow: 3px 3px hsl(0, 0%, 24%);
}

@font-face {
    font-family: "Minecraft";
    src: url("../font/1_Minecraft-Regular.woff") format("woff");
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: "Minecraft";
    src: url("../font/2_Minecraft-Italic.woff") format("woff");
    font-weight: normal;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: "Minecraft";
    src: url("../font/3_Minecraft-Bold.woff") format("woff");
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: "Minecraft";
    src: url("../font/4_Minecraft-BoldItalic.woff") format("woff");
    font-weight: bold;
    font-style: italic;
    font-display: swap;
}


/* STYLES ////////////////////////////////////////////////////////// */
html {
    scroll-behavior: smooth;
    overflow-x: hidden;
    font-size: clamp(16px, 1.5vw, 20px);
}

body {
    margin: 0;
    font-family: sans-serif;
    background: black;
    color: white;
}

/* VIDEÓ HÁTTÉR */
.bg-video {
    position: fixed;
    inset: 0;
    width: auto;
    height: 100%;
    max-width: 100%;
    object-fit: cover;
    opacity: 0.2;
    z-index: -1;
}

/* SZEKCIÓK ALAP */
.section {
    width: 100vw;
    position: relative;
}

/* HERO */
.hero {
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* LOGÓ */
.logo {
    width: 80vw;
    max-width: 2048px;
    transition: transform 0.2s ease;
}

.logo:hover {
    transform: scale(1.02); /* +2% */
}

.float {
    animation: float 4s ease-in-out infinite;
    transform-origin: center;
    max-width: 100%;
}

.float-server-list {
    animation: float 6s ease-in-out infinite;
    transform-origin: center;
    max-width: 100%;
}

.rotate {
    animation: rotate 7s ease-in-out infinite;
    transform-origin: center;
    max-width: 100%;
}

/* 2. SOLID SZEKCIÓ */
.solid {
    background: #150b2d; /* solid */
}

/* 3. ÁTLÁTSZÓ */
.transparent {
    
}

/* TARTALOM KÖZÉPRE */
.content {
    display: flex;
    justify-content: center;
    align-items: center;
    max-width: 90vw;
    margin: auto;
    /*padding: 0 10%;*/
    min-height: 25vh;
}

.center {
    display: flex;
    justify-content: center;
    align-items: center;
}
.server-list-container {
    background-image: url(../img/server_list_background.jpg);
    background-size: auto;
    outline-style: solid;
    outline-width: 1px;
    padding: 20px;
    transition: transform 0.2s ease;
    width: 100%;
    max-width: 900px;
}

.server-list-container:hover {
        transform: scale(1.02); /* +2% */
    }

.server-list-content {
    height: fit-content;
    width: fit-content;
}

.server-list-icon {
    display: block;
    width: 64px;
    margin-right: 10px;
}

.server-list-ping {
    height: 20px;
    image-rendering: pixelated;
    flex-shrink: 0;
    margin-left: 4px;
}

.copyip {
    cursor: pointer;
}

/*#server_ip {
    width: 318px;
}*/

.splash-text {
    position: absolute;
    bottom: 5px;
    right: -20px;
    color: #ffff55;
    font-weight: normal;
    font-size: 25px;
    font-family: "Minecraft", monospace;
    text-shadow: 2px 2px 0 #000;
    transform: rotate(-15deg);
    line-height: 1;
    height: 22px; /* fix magasság */
    display: flex;
    align-items: center;
    justify-content: center;
    transition: opacity 0.1s ease;
    animation: splashAnim 3s ease-in-out infinite;
}


@keyframes splashAnim {
    0% {
        transform: rotate(-15deg) scale(1);
    }

    50% {
        transform: rotate(-15deg) scale(1.1);
    }

    100% {
        transform: rotate(-15deg) scale(1);
    }
}

#click_to_copy {
    transition: opacity 0.1s ease;
}

.fade-out {
    opacity: 0;
}

.fade-in {
    opacity: 1;
}

.mc-font.center {
    display: flex;
    align-items: center;
    gap: 10px;
}
.player-count {
    margin-left: auto;
    color: #aaaaaa;
}

@media (max-width: 768px) {

    * {
        font-size: 13px;
    }

    .server-list-container {
        padding: 15px;
    }

    .server-list-icon {
        width: 48px;
    }

    .server-list-ping {
        height: 16px;
    }

    .splash-text {
        font-size: 18px;
        right: -10px;
        bottom: 0px;
    }
}

@media (max-width: 600px) {
    .server-list-container {
        transform: scale(0.9);
        transform-origin: top center;
    }
}

.right-side {
    display: flex;
    align-items: center;
    gap: 8px;
    margin-left: auto; /* EZ tolja ki jobbra */
}

.mc-row {
    display: flex;
    align-items: center;
    width: 100%;
}